summaryrefslogtreecommitdiffstats
path: root/academic
diff options
context:
space:
mode:
author Ekin Akoglu <ekinakoglu@gmail.com>2017-03-05 08:36:05 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2017-03-05 08:36:05 +0700
commit5fd68831fa23fed33aad7b0e743f64fe2ee00cc8 (patch)
treeb57cdce6c338039422ca5ae7625bd48e111714f2 /academic
parent920c0a88a8a604d9484e2baa5ed16dcf8ca0efe8 (diff)
downloadslackbuilds-5fd68831fa23fed33aad7b0e743f64fe2ee00cc8.tar.gz
slackbuilds-5fd68831fa23fed33aad7b0e743f64fe2ee00cc8.tar.xz
academic/lapack95: New maintainer.
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'academic')
-rw-r--r--academic/lapack95/lapack95.SlackBuild37
-rw-r--r--academic/lapack95/lapack95.info4
2 files changed, 30 insertions, 11 deletions
diff --git a/academic/lapack95/lapack95.SlackBuild b/academic/lapack95/lapack95.SlackBuild
index c0f7c418c6..6a4a9e7815 100644
--- a/academic/lapack95/lapack95.SlackBuild
+++ b/academic/lapack95/lapack95.SlackBuild
@@ -3,6 +3,25 @@
# Slackware build script for lapack95
# Written by Pablo Santamarķa (pablosantamaria@gmail.com)
+# Copyright 2017 Ekin Akoglu, Erdemli, Mersin, Turkey
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=lapack95
VERSION=${VERSION:-3.0}
@@ -11,7 +30,7 @@ TAG=${TAG:-_SBo}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) ARCH=i486 ;;
+ i?86) ARCH=i586 ;;
arm*) ARCH=arm ;;
*) ARCH=$( uname -m ) ;;
esac
@@ -22,8 +41,8 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
@@ -36,7 +55,7 @@ else
LIBDIRSUFFIX=""
fi
-set -e
+set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
@@ -46,10 +65,10 @@ tar xvf $CWD/$PRGNAM.tgz
cd LAPACK95
chown -R root:root .
find -L . \
- \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 -o -perm 511 \) \
- -exec chmod 755 {} \; -o \
- \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
- -exec chmod 644 {} \;
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
# Copy the pre-configured make.inc file but put in the correct LIBDIR
sed "s%@LIBDIR@%/usr/lib${LIBDIRSUFFIX}%" $CWD/make.inc > make.inc
@@ -74,7 +93,7 @@ mkdir -p $PKG/usr/bin
sed "s%@VERSION@%$VERSION%" $CWD/lapack95-config > $PKG/usr/bin/lapack95-config
chmod 755 $PKG/usr/bin/lapack95-config
-find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
diff --git a/academic/lapack95/lapack95.info b/academic/lapack95/lapack95.info
index af9537e9bc..9fdb459eab 100644
--- a/academic/lapack95/lapack95.info
+++ b/academic/lapack95/lapack95.info
@@ -6,5 +6,5 @@ MD5SUM="a49ac8f061d7cd429e5279e69bbe334d"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES="lapack"
-MAINTAINER="Pablo Santamaria"
-EMAIL="pablosantamaria@gmail.com"
+MAINTAINER="Ekin Akoglu"
+EMAIL="ekinakoglu@gmail.com"